aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRonan Amicel <ronan.amicel@gmail.com>2012-10-26 11:50:09 +0200
committerRonan Amicel <ronan.amicel@gmail.com>2012-10-26 11:50:09 +0200
commit3159a3404b5f22275e8bafb9e22741edaa1d77fb (patch)
treefaf41b043d4424c5f233d9d9e7af97fa05225b5b
parentReally fix pip version parsing issue (diff)
downloadfabtools-3159a3404b5f22275e8bafb9e22741edaa1d77fb.tar.xz
Upgrade default pip version to 1.2.1
-rw-r--r--fabtools/require/python.py9
1 files changed, 6 insertions, 3 deletions
diff --git a/fabtools/require/python.py b/fabtools/require/python.py
index cc47247..d2be9bc 100644
--- a/fabtools/require/python.py
+++ b/fabtools/require/python.py
@@ -17,6 +17,9 @@ from fabtools.python_distribute import is_distribute_installed, install_distribu
from fabtools.require import deb
+DEFAULT_PIP_VERSION = '1.2.1'
+
+
def distribute():
"""
Require `distribute`_ to be installed.
@@ -61,7 +64,7 @@ def package(pkg_name, url=None, **kwargs):
.. _pip installer: http://www.pip-installer.org/
"""
- pip('1.1')
+ pip(DEFAULT_PIP_VERSION)
if not is_installed(pkg_name):
install(url or pkg_name, **kwargs)
@@ -70,7 +73,7 @@ def packages(pkg_list, **kwargs):
"""
Require several Python packages.
"""
- pip('1.1')
+ pip(DEFAULT_PIP_VERSION)
pkg_list = [pkg for pkg in pkg_list if not is_installed(pkg)]
if pkg_list:
install(pkg_list, **kwargs)
@@ -82,7 +85,7 @@ def requirements(filename, **kwargs):
.. _requirements file: http://www.pip-installer.org/en/latest/requirements.html
"""
- pip('1.1')
+ pip(DEFAULT_PIP_VERSION)
install_requirements(filename, **kwargs)